<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content controller">
                   <div class="content-data">





<ol class="breadcrumb">
  <li>Controllers</li>
  <li>BusinessController</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/routes/business/business.controller.ts</code>
        </p>

            <p class="comment">
                <h3>Prefix</h3>
            </p>
            <p class="comment">
                <code>business</code>
            </p>





            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#activateBusiness">activateBusiness</a>
                            </li>
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#applyForAffiliate">applyForAffiliate</a>
                            </li>
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#createBusiness">createBusiness</a>
                            </li>
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#deleteBusinessById">deleteBusinessById</a>
                            </li>
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#getBusiness">getBusiness</a>
                            </li>
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#getBusinessesForUser">getBusinessesForUser</a>
                            </li>
                            <li>
                                    <span class="modifier">Async</span>
                                <a href="#getBusinessRequests">getBusinessRequests</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="activateBusiness"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            activateBusiness
                        </b>
                        <a href="#activateBusiness"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>activateBusiness(_body: literal type)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@UsePipes(new JoiValidationPipe())<br />@Post(Routes.ACTIVATE_BUSINESS)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="86"
                            class="link-to-prism">src/routes/business/business.controller.ts:86</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>_body</td>
                                    <td>
                                            <code>literal type</code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>    <code>{}</code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="applyForAffiliate"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            applyForAffiliate
                        </b>
                        <a href="#applyForAffiliate"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>applyForAffiliate()</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Post(Routes.APPLY_AFFILIATE)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="54"
                            class="link-to-prism">src/routes/business/business.controller.ts:54</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="createBusiness"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            createBusiness
                        </b>
                        <a href="#createBusiness"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>createBusiness(_body: <a href="../interfaces/ICreateBusinessBody.html">ICreateBusinessBody</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@UsePipes(new JoiValidationPipe())<br />@Post(Routes.CREATE_BUSINESS)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="72"
                            class="link-to-prism">src/routes/business/business.controller.ts:72</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>_body</td>
                                    <td>
                                                <code><a href="../interfaces/ICreateBusinessBody.html" target="_self" >ICreateBusinessBody</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="deleteBusinessById"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            deleteBusinessById
                        </b>
                        <a href="#deleteBusinessById"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>deleteBusinessById(res: Response, id)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Delete(&#x27;/:id&#x27;)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="104"
                            class="link-to-prism">src/routes/business/business.controller.ts:104</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>res</td>
                                    <td>
                                            <code>Response</code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>id</td>
                                    <td>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>    <code>{}</code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getBusiness"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            getBusiness
                        </b>
                        <a href="#getBusiness"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getBusiness(business_id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(Routes.GET_BUSINESS)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="28"
                            class="link-to-prism">src/routes/business/business.controller.ts:28</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>business_id</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>    <code>{}</code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getBusinessesForUser"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            getBusinessesForUser
                        </b>
                        <a href="#getBusinessesForUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getBusinessesForUser(user_id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(Routes.GET_BUSINESSES_FOR_USER)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="45"
                            class="link-to-prism">src/routes/business/business.controller.ts:45</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user_id</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getBusinessRequests"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Async</span>
                            getBusinessRequests
                        </b>
                        <a href="#getBusinessRequests"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getBusinessRequests(query: <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank">any</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(Routes.GET_BUSINESS_REQUESTS)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="59"
                            class="link-to-prism">src/routes/business/business.controller.ts:59</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>query</td>
                                    <td>
                                                <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import {
    Controller, Logger, Post, Body, UseGuards, UsePipes, Get, Param, Query, UseInterceptors, Delete, Res, Inject
} from &#x27;@nestjs/common&#x27;
import { SocialAccountGuard } from &#x27;src/services/auth/social/social-account.guard&#x27;
import { RolesGuard } from &#x27;src/services/auth/authorization/roles.guard&#x27;
import { Roles } from &#x27;src/services/auth/authorization/roles.decorator&#x27;
import { JoiValidationPipe } from &#x27;src/pipes/joi-validation-pipe&#x27;
import {
    Routes, createBusinessSchema, ICreateBusinessBody, activateBusinessSchema
} from &#x27;.&#x27;
import { Response } from &#x27;express&#x27;
import { RoleTypes } from &#x27;src/services/users/models&#x27;
import { MESSAGE_SERVICES } from &#x27;src&#x27;
import { ClientProxy } from &#x27;@nestjs/microservices&#x27;

// @UseGuards(SocialAccountGuard, RolesGuard)
// @Roles(RoleTypes.AFFILIATE, RoleTypes.MOD, RoleTypes.ADMIN)
@Controller(&#x27;business&#x27;)
export class BusinessController {
    private readonly logger &#x3D; new Logger(BusinessController.name)

    constructor(
        // private readonly businessService: BusinessService,
        @Inject(MESSAGE_SERVICES.API_SERVICE) private client: ClientProxy,
    ) { }

    @Get(Routes.GET_BUSINESS)
    async getBusiness(
        @Param(&#x27;business_id&#x27;) business_id: string,
    ) {
        // let response &#x3D;
        //     await this.businessService.getBusinessById(business_id)
        // return response

        console.log(&#x27;plz&#x27;)
        this.logger.debug(&#x27;hallow&#x27;)
        return this.client.send(
            { cmd: &#x27;sum&#x27; },
            // { data: [1, 2, 3] }
            [1, 2, 3]
        )
    }

    @Get(Routes.GET_BUSINESSES_FOR_USER)
    async getBusinessesForUser(
        @Param(&#x27;user_id&#x27;) user_id: string,
    ) {
        // let response &#x3D;
        //     await this.businessService.getBusinessForUser(user_id)
        // return response
    }

    @Post(Routes.APPLY_AFFILIATE)
    async applyForAffiliate() {
    }

    // @UsePipes(new JoiValidationPipe(businessRequestQuerySchema))
    @Get(Routes.GET_BUSINESS_REQUESTS)
    async getBusinessRequests(
        // @Query() query: IBusinessRequestQuery,
        @Query() query: any,
    ) {
        let { limit, offset } &#x3D; query

        // let response &#x3D;
        //     await this.businessService.getBusinessRequests(limit, offset)
        // return response
    }

    @UsePipes(new JoiValidationPipe(createBusinessSchema))
    @Post(Routes.CREATE_BUSINESS)
    async createBusiness(
        @Body() _body: ICreateBusinessBody
    ) {
        console.log(this.createBusiness.name)
        console.log(_body)
        // await this.businessService.createBusinessFromPayload(
        //     _body.user_id,
        //     {
        //         ..._body.payload,
        //     })
    }

    @UsePipes(new JoiValidationPipe(activateBusinessSchema))
    @Post(Routes.ACTIVATE_BUSINESS)
    async activateBusiness(
        @Body() _body: {
            business_id: string
        }
    ) {
        this.logger.debug(this.activateBusiness.name)
        let { business_id } &#x3D; _body

        if (business_id !&#x3D;&#x3D; undefined &amp;&amp;
            business_id.length &gt; 0) {
            // return await this.businessService
            //     .activateBusinessEvent(business_id)
        }

        return null
    }

    @Delete(&#x27;/:id&#x27;)
    async deleteBusinessById(
        @Res() res: Response,
        @Param(&#x27;id&#x27;) id,
    ) {
        this.logger.debug(this.deleteBusinessById.name)
        // let response &#x3D; await this.businessService.deleteBusinessById(id)
        return res.status(200).send()
    }
}
</code></pre>
    </div>
</div>









                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'controller';
            var COMPODOC_CURRENT_PAGE_URL = 'BusinessController.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
